---
title: Uses
layout: default
permalink: /uses.html
description: 'Software, tools and services that I use regularly.'
image: /assets/img/pages/uses.jpg
---
<h2 class="page__header">{{ title }}</h2>

Software and services that I use for work and my own enjoyment.

{% image 'https://coryd.dev/assets/img/pages/uses.jpg', 'My desk', 'image__banner', 'eager' %}

<h3>Computer setup</h3>

- Midnight MacBook Air (2022 - M2)
- 27" Dell Monitor
- Apple Magic Keyboard with Touch ID + number pad
- Apple Magic Trackpad
- Homepod Mini for audio
- Raspberry Pi for Homebridge

<h3>Desk and chair</h3>

- My desk is a custom made corner desk I bought on Etsy years ago. It's sturdy, has tons of storage and finally arrived with a chip on the surface to add some character after the first one got lost by the freight company on the journey from Michigan to Los Angeles. I probably _wouldn't_ repeat the experience, but I do love the desk.
- [Herman Miller Aeron chair](https://www.hermanmiller.com/products/seating/office-chairs/aeron-chairs/): it's pretty comfortable and makes swiveling around my corner desk easy.

<h3>macOS + iOS</h3>

- [Bear](https://bear.app): native, fast and flexible — it's a breeze to use across Apple's ecosystem.
- [Fantastical](https://flexibits.com/fantastical): the best and most powerful calendaring app for the Apple ecosystem, bar none.
- [Ivory](https://tapbots.com/ivory): a beautifully designed and extremely well built Mastodon app — I use it as my go-to client across all of my devices.

<h3>iOS</h3>

- [FontCase](https://apps.apple.com/us/app/fontcase-manage-your-type/id1205074470): for managing/installing fonts.

<h3>macOS</h3>

- [Rectangle](https://rectangleapp.com): to quickly move around/organize/snap application windows. Using a Mac without it now feels like it's broken.
- [Alfred](https://alfredapp.com): a flexible, extensible and reliable Spotlight replacement.
- [Keyboard Maestro](https://www.keyboardmaestro.com): an endlessly flexible app that I underutilize for quick macros and keyboard shortcuts in a number of different apps.
- [AirBuddy](https://v2.airbuddy.app): finer-grained control over AirPods and other wireless devices.
- [Meta](https://www.nightbirdsevolve.com/meta): the _best_ utility for tagging and organizing music files on macOS.
- [Permute](https://software.charliemonroe.net/permute): a useful utility for quickly converting files to different formats.
- [SoundSource](https://rogueamoeba.com/soundsource): a handy utility for better, more granular control on macOS.
- [Sleeve](https://replay.software/sleeve): a lightweight music controller (that also supports scrobbling).

<h3>Dev tools</h3>

- [Visual Studio Code](https://code.visualstudio.com): the reigning industry standard for web development work.
- [iTerm2](https://iterm2.com): a more configurable terminal than the one macOS ships with. I've used it for a long time now and it's still my go-to.
- [Catppuccin](https://github.com/catppuccin): nearly as ubiquitous as Dracula but lighter and more playful, I've started using this theme wherever I'm looking at/reading/writing code.
- [Mono Lisa](https://monolisa.dev): a relatively new find, I've been enjoying how pleasant and readable this font is (and have even gone so far as to install it on iOS via [FontCase](https://apps.apple.com/us/app/fontcase-manage-your-type/id1205074470)).

<h3>Services</h3>

- <a class="plausible-event-name=Proton+referral" href="https://pr.tn/ref/X775YX40Z50G">Proton</a>: the premier, secure email provider. It supports custom domains and just about everything else I need out of an email service.
- <a class="plausible-event-name=NextDNS+referral" href="https://nextdns.io/?from=m56mt3z6">NextDNS</a>: a privacy-focused, set it and forget it DNS service. I use their security features on my home network and a profile with strict ad-blocking rules on all of my devices.
- <a class="plausible-event-name=DNSimple+referral" href="https://dnsimple.com/r/3a7cbb9e15df8f">DNSimple</a>: a robust, user-friendly DNS provider and registrar. I moved my domains here after my old provider was acquired.
- <a class="plausible-event-name=bunny+referral" href="https://bunny.net?ref=revw3mehej">Bunny.net</a>: a powerful and affordable CDN. I use it to serve assets on my personal site (most notable my now page — raw assets are fetched by Eleventy and then optimized to webp).
- [Plausible](https://plausible.io): powerful, well-designed and privacy-respecting analytics.
- <a class="plausible-event-name=Feedpress+referral" href="https://feedpress.com/?affid=34370">Feedpress</a>: they've been around for a while now and don't change much (nor do they need to), but look no further for reliable, helpful feed analytics.
- [Readwise Reader](https://readwise.io/read): an impressive RSS reader that handles all the functionality you'd expect from a read it later app beautifully. It's as powerful as it is flexible.
- [Todoist](https://todoist.com): the task manager I always return to for it's flexibility and endless integrations.
- [forwardemail.net](https://forwardemail.net): a simple and reliable service for forwarding and routing emails from a few of the domains I own.
- [Last.fm](https://last.fm): as it turns out, the best music recommendations still come from dedicated fans.
- [Trakt](https://trakt.tv): my preferred TV and movie tracking service — it has a strong community (and isn't owned by a private equity firm).
- [The Storygraph](https://thestorygraph.com): an excellent, focused and community driven book tracking app. All it needs is RSS/Atom feeds and/or an API.
- [Slack](http://slack.com): I have a family Slack set up to avoid group text messages and am in a few other community Slacks.
- [Discord](http://discord.com): I don't _like_ Discord but, for better or worse, it's where some communities I frequent are.
- [Backblaze](https://backblaze.com): It backs up my MacBook Air and attached storage drive and I don't have to think about it.

Check out [uses.tech](https://uses.tech) for more lists like this one.
