---
date: '2023-11-13'
title: 'Doppler, locally stored music and storage as a beneficial constraint'
description: "Over the weekend I moved my music listening to the excellent, macOS native app Doppler. I've spent entirely too much time moving music, thinking about music and fiddling with my setup for someone that is not an audiophile."
draft: false
tags:
  - macOS
  - music
---

Over the weekend I moved my music listening to the excellent, macOS native app [Doppler](http://brushedtype.co/doppler/). I've spent entirely too much time moving music, [thinking about music](https://coryd.dev/posts/2023/i-dont-want-streaming-music/) and [fiddling with my setup](https://coryd.dev/posts/2023/road-to-madness-apple-music-charts/) for someone that is not an audiophile. But, while making the move and paring down my collection to fit within the local storage I had available, I had time to think about the music I _really_ cared about.<!-- excerpt -->

The benefits of locally stored and played music have remained unchanged for a long time now: it's your music, your metadata, your artwork you've applied and your collection exactly as you've arranged it.

The constraints imposed by the local storage on my MacBook Air and my iPhone were what made the process of moving to local playback so fruitful and enjoyable.

I enjoy some jazz, but I _love_ Miles Davis' discography — so I can simply move the latter and exclude fragments from artists I don't enjoy to the same degree. I've been an avid death metal fan for well over a decade now and my collection had grown to resemble Wikipedia but had far outgrown the size where I could reasonably expect to listen to everything in it or navigate it efficiently.

The same sentiment and exercise carried me through the rest of the genres I listen to and I arrived at a point where I recognize every single artist as I scroll through my library and know exactly which album I want to throw on from them. It's not an unmanageable sea of music, more a tidy catalogue of artists I love from genres that interest me.

For the longest time when I've found a genre I like, I want to absorb _every_ band that's well-regarded within it but, that impulse doesn't scale. Music's a personal thing and forcing myself to reckon with the size of my collection has left it in a much more navigable and, frankly, enjoyable state.
